| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations | Functions | Variables
S3DVertex.h File Reference
`#include "vector3d.h"`
`#include "vector2d.h"`
`#include "SColor.h"`

Go to the source code of this file.

## Classes

- struct irr::video::S3DVertex
    standard vertex used by the Irrlicht engine. More...
- struct irr::video::S3DVertex2TCoords
    Vertex with two texture coordinates. More...
- struct irr::video::S3DVertexTangents
    Vertex with a tangent and binormal vector. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

- enum irr::video::E_VERTEX_TYPE { irr::video::EVT_STANDARD = 0, irr::video::EVT_2TCOORDS, irr::video::EVT_TANGENTS }
    Enumeration for all vertex types there are. More...

## Functions

- u32 irr::video::getVertexPitchFromType (E_VERTEX_TYPE vertexType)

## Variables

- const char *const irr::video::sBuiltInVertexTypeNames []
    Array holding the built in vertex type names.